<script setup lang="ts">
import { useDirectoryStore } from '../stores/directoryStore';
import SdgProfilePanel from './SdgProfilePanel.vue';

const directoryStore = useDirectoryStore();
</script>

<template>
  <div class="p-8 bg-sdg-dark-gray">
    <div class="grid sm:grid-cols-2 md:grid-cols-3 lg:grid-cols-4 xl:grid-cols-5 2xl:grid-cols-6 gap-6 md:gap-8">
      <SdgProfilePanel v-for="person in directoryStore.users" :person="person" :key="person.id" />
    </div>
  </div>
</template>
